oracle.xdb

## Class XMLTypeFactory

- java.lang.Object
- - oracle.xdb.XMLTypeFactory

All Implemented Interfaces:
  oracle.jdbc.internal.ObjectDataFactory, oracle.sql.ORADataFactory

    public class XMLTypeFactory
    extends java.lang.Object
    implements oracle.sql.ORADataFactory

The XMLTypeFactory which instantiates the XMLType classes.

### Field Summary

Fields
`static int` `_SQL_TYPECODE` A constant set to OPAQUE oracle type.
`static java.lang.String` `_SQL_TYPENAME` A constant set to SYS.XMLTYPE.

### Constructor Summary

Constructors
Constructor and Description
`XMLTypeFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`oracle.sql.ORAData` `create(oracle.sql.Datum d, int type)` The create method of the Oradata interface.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _SQL_TYPECODE

    public static final int _SQL_TYPECODE

A constant set to OPAQUE oracle type. Required for the ORADATA interface.

See Also:
  Constant Field Values

#### _SQL_TYPENAME

    public static final java.lang.String _SQL_TYPENAME

A constant set to SYS.XMLTYPE. Required for the ORADATA interface.

See Also:
  Constant Field Values

### Constructor Detail

#### XMLTypeFactory

    public XMLTypeFactory()

### Method Detail

#### create

    public oracle.sql.ORAData create(oracle.sql.Datum d,
                                     int type)
                              throws java.sql.SQLException

The create method of the Oradata interface. This will construct a new XMLType with the specified datum and return the XMLType as an ORAData interface.

Specified by:
  `create` in interface `oracle.sql.ORADataFactory`
Parameters:
  `d` - the datum from which the XMLType will be constructed.
  `type` - the type of the datum (currently not used)
Returns:
  the constructed XMLType (in form of the ORAData interface.
Throws:
  `java.sql.SQLException`

Copyright © 2003, 2020, Oracle and/or its affiliates.